Subject: [lojban] Re: [lojban.org #92] Re: Your lujvo records in Jbovlaste

From: Robin Lee Powell <[email-masked]>
Date: Tue, 11 Mar 2003 10:49:41 -0800

On Tue, Mar 11, 2003 at 05:16:14AM -0800, Arnt Richard Johansen via RT wrote:
> On Tue, 11 Mar 2003, Jorge Llambias wrote:
> 
> > >The lujvo definitions you are making in Jbovlaste are not according
> > >to standard.
> > >
> > >See http://www.lojban.org/jbovlaste/help/definitions.html
> > >
> > >The short version is that instead of x1, x2, etc., one uses place
> > >designators on the basis of the first letter(s) of the constituent
> > >gismu/cmavo.
> >
> > That standard doesn't work. You have no way of telling which order
> > the arguments are in the lujvo. You can't just assume order of
> > appearance, because sometimes the definition needs to have them in a
> > different order than the lujvo.

Umm, where did you get all that text that you're replying to? I'd like
to be in on whatever discussion that was.

> That's a valid point. Something should probably be done about it.
> 
> (Although this is the way it's been done in NORALUJV for years without
> any problems, it's written in English, which can have prepositional
> phrases all over the place.)

That's a good point. The easy and obvious solution is:

x1=a1=b1

Which need only be used when the places are out of order. I'll post
something in the help to that effect.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi